1. MerchantCatalog
OrderMesh QA
  • User
    • Client
      • Generate Service Client Access Token
    • User
      • Login User by Username and Password
      • Login User with Refresh Token
  • Order
    • OrderItems
      • Search for order items based on various criteria and filters
    • Orders
      • Create a New Order.
      • Search for orders based on various criteria and filters.
      • Create multiple orders
      • Retrieve multiple orders
      • Update multiple orders
      • Retrieve a list of orders
      • Retrieve an order by Order ID.
      • Update order data.
      • Retrieve an order by Safe ID
      • Retrieve order item by Order Item ID
      • Update an item within an order.
      • Cancel Order or order items
      • Change the order status to Customer Care Hold
      • Retrieve audit logs for a specific order.
      • Retrieve audit logs for a specific order.
      • Retrieve audit logs for a specific order item.
      • Add a Refund Request.
  • Note
    • Notes
      • Create a New Note
      • Search All Notes
      • View Note by ID
      • Update Note
      • Delete Note
      • View Note Audit Logs
  • Catalog
    • Categories
      • View all product categories
      • Create a new category
      • Update category
      • Delete category
      • Get audit logs of a category
    • MerchantCatalog
      • Create a merchant catalog
        POST
      • Update a merchant catalog
        PUT
      • Partially update a merchant catalog
        PATCH
      • Get a list of merchant catalogs
        GET
      • Delete a merchant catalog
        DELETE
      • Get a merchant catalog and search variants in it
        GET
      • Get a merchant catalog with variants
        GET
      • Get a list of variants the merchant can use in accordance with their enabled catalog
        GET
      • Search for variants in enabled merchant catalog with fallback to global catalog
        POST
      • Get audit logs of a merchant catalog
        GET
    • Products
      • View all products
      • Retrieve product variant details
      • Create a new product
      • Search products
      • Bulk create products
      • Bulk update products
      • Update product
      • Delete product
      • Update variant
      • Get audit logs of a product
    • Variants
      • Delete variant
      • Create a variant
      • Search product variants
      • Get audit logs of a variant
  • Shipment
    • Packing Slip
      • Generates a packing slip for a specific shipment by Shipment ID.
    • Shipments
      • Get details of a specific shipment by Shipment ID.
      • Update details of a specific shipment by Shipment ID.
      • Create packages for a specific shipment.
      • Delete shipment with packages.
      • Get all shipments for an order by Order ID.
      • Create shipment for order, vendor, and order items.
      • Get shipment with packages for order and vendor.
      • Get shipment details by Order Item ID.
      • Update a specific shipment package.
      • Delete a specific shipment package.
      • Cancel shipment.
      • Unassign items to shipment.
      • Shipment resubmission to assigned facility.
      • Retry outbound polling for a shipment by publishing an OutboundShipmentUpdate event.
      • Search shipments.
      • Reroute shipment.
      • Rejects a shipment.
      • Bulk reroute shipments.
      • Get shipment audit logs.
      • Get package audit logs.
      • Get message audit logs for shipment updates.
      • Assign Shipment.
  • Schemas
    • Notes
      • /v1/notes
      • /v1/notes
      • /v1/notes/{noteId}
      • /v1/notes/{id}
      • /v1/notes/{id}
      • /v1/notes/{id}/auditLogs
  1. MerchantCatalog

Get a merchant catalog with variants

GET
/v1/merchantCatalog/variants/list

Request

Query Params

Responses

🟢200
application/json
OK
Body

🟠400
🟠401
🟠403
🟠404
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.qa.ordermesh.io/catalog/v1/merchantCatalog/variants/list?id=&page=&pageSize='
Response Response Example
200 - Success
{
    "catalog": {
        "id": "63f5f1f77dabc3305f462344",
        "ownerMerchantId": "merchant123",
        "name": "Premium Products Catalog",
        "description": "Catalog containing premium products for merchant",
        "isEnabled": true,
        "assignedToSubAccountIds": []
    },
    "variants": [
        {
            "merchantCatalogId": "63f5f1f77dabc3305f462344",
            "sku": "SKU-12345",
            "merchantSku": "MERCH-SKU-12345",
            "merchantPrice": {
                "currencies": [
                    {
                        "amount": 49.99,
                        "currency": "USD"
                    }
                ],
                "amount": 49.99,
                "currency": "USD"
            },
            "skipImageManipulation": null,
            "productId": null,
            "decorations": [
                {
                    "area": "Front",
                    "width": 200,
                    "height": 300,
                    "dpi": 300,
                    "method": "DirectToGarment",
                    "price": {
                        "currencies": [
                            {
                                "amount": 49.99,
                                "currency": "USD"
                            }
                        ],
                        "amount": 0,
                        "currency": null
                    },
                    "printImage": {
                        "sourcePrintFileUrl": "https://example.com/images/front-print.png",
                        "imageUploadStatus": "Pending",
                        "imageUploadStatusDesc": "Queued for processing",
                        "ourPrintFileId": null,
                        "ourPrintFileUrl": null
                    }
                }
            ],
            "attributes": [
                {
                    "name": "Color",
                    "value": "Red"
                },
                {
                    "name": "Size",
                    "value": "Large"
                }
            ]
        },
        {
            "merchantCatalogId": "63f5f1f77dabc3305f462344",
            "sku": "SKU-67890",
            "merchantSku": "MERCH-SKU-67890",
            "merchantPrice": {
                "currencies": [
                    {
                        "amount": 49.99,
                        "currency": "USD"
                    }
                ],
                "amount": 49.99,
                "currency": "USD"
            },
            "skipImageManipulation": null,
            "productId": null,
            "decorations": [
                {
                    "area": "Back",
                    "width": 150,
                    "height": 200,
                    "dpi": 300,
                    "method": "Embroidery",
                    "price": {
                        "currencies": [
                            {
                                "amount": 49.99,
                                "currency": "USD"
                            }
                        ],
                        "amount": 0,
                        "currency": null
                    },
                    "printImage": {
                        "sourcePrintFileUrl": "https://example.com/images/back-print.png",
                        "imageUploadStatus": "Success",
                        "imageUploadStatusDesc": "File uploaded successfully",
                        "ourPrintFileId": "file-123456",
                        "ourPrintFileUrl": null
                    }
                }
            ],
            "attributes": null
        }
    ],
    "totalVariants": 10
}
Modified at 2026-09-03 14:39:04
Previous
Get a merchant catalog and search variants in it
Next
Get a list of variants the merchant can use in accordance with their enabled catalog
Built with